Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.io.formatter
Interface FormatterFactory

All Known Implementing Classes:
  JPICFormatter, LatexFormatter, PstricksFormatter

public interface FormatterFactory

Field Summary
`static String` | `MAKE_STANDALONE_FILE` a constraint to indicate that the created Formatter should be able to create a standalone String which once save, can be directly fed to, e.g., latex or ghostview,...

Method Summary
`Formatter` | `createFormatter(Drawing d, Object outputConstraint)`
`Formatter` | `createFormatter(Element e)`

Field Detail

### MAKE_STANDALONE_FILE

    public static final String MAKE_STANDALONE_FILE

  a constraint to indicate that the created Formatter should be able to create a standalone String which once save, can be directly fed to, e.g., latex or ghostview,... as opposed to a "picture environment" file which still has to be included in a LaTeX file

  See Also:
    Constant Field Values

Method Detail

### createFormatter

    public Formatter createFormatter(Element e)

  Returns:
    a Formatter able to format the given Element according to the format of this factory

### createFormatter

    public Formatter createFormatter(Drawing d,
                                     Object outputConstraint)

  Parameters:
    `outputConstraint` - constraint used by the factory to create a specific Formatter on-the-fly
  Returns:
    a Formatter able to format the given Drawing according to the format of this factory ; this may reliy on calls to `createFormatter(Element e)` on the elements of the drawing, plus creating auxiliary

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org